import React, { MouseEventHandler } from 'react';
export declare type CellArrowDirection = 'top' | 'right' | 'bottom' | 'left';
export interface CellProps {
    icon?: string;
    size?: string;
    className?: string;
    title?: number | string;
    value?: number | string;
    label?: number | string;
    center?: boolean;
    isLink?: boolean;
    required?: boolean;
    iconPrefix?: string;
    valueClass?: string;
    labelClass?: string;
    titleClass?: string;
    titleStyle: React.CSSProperties;
    arrowDirection: CellArrowDirection;
    border?: boolean;
    clickable?: boolean | null;
    children?: React.ReactNode;
    onClick?: MouseEventHandler<HTMLDivElement>;
}
