import React from 'react';
import classnames from 'classnames';

const baseClass = 'r-action-bar';

const ActionBar = props => {
  const {
    safeAreaInsetBottom = true,
    className,
    children
  } = props;
  return /*#__PURE__*/React.createElement("div", {
    className: classnames(baseClass, {
      [`${baseClass}--unshift`]: !safeAreaInsetBottom
    }, className)
  }, children);
};

export default ActionBar;
