export declare type ButtonTypes = 'primary' | 'info' | 'warning' | 'danger';
export declare type IndexPostionTypes = 'first' | 'last';
export interface ActionBarButtonProps {
    text: string;
    type?: ButtonTypes;
    color?: string;
    icon?: string;
    disabled?: boolean;
    loading?: boolean;
    indexPostion?: IndexPostionTypes;
    onClick?: () => void;
}
