'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var classnames = require('classnames');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);
var classnames__default = /*#__PURE__*/_interopDefaultLegacy(classnames);

const baseClass = 'r-action-bar';

const ActionBar = props => {
  const {
    safeAreaInsetBottom = true,
    className,
    children
  } = props;
  return /*#__PURE__*/React__default['default'].createElement("div", {
    className: classnames__default['default'](baseClass, {
      [`${baseClass}--unshift`]: !safeAreaInsetBottom
    }, className)
  }, children);
};

exports.default = ActionBar;
