import { PopupSharedProps } from '../popup/props';
export interface ActionSheetProps extends PopupSharedProps {
    title?: string;
    actions: Action[];
    cancelText?: string;
    description?: string;
    closeOnPopstate?: boolean;
    closeOnClickAction?: boolean;
    round?: boolean;
    closeable?: boolean;
    closeIcon?: string;
    safeAreaInsetBottom?: boolean;
    onClickOverlay?: () => void;
    onSelect?: (item: Action, index: number) => void;
    onCancel?: () => void;
    onOpen?: () => void;
    onOpened?: () => void;
    onClose?: () => void;
    onClosed?: () => void;
}
export interface Action {
    name?: string;
    subname?: string;
    color?: string;
    className?: string;
    loading?: boolean;
    disabled?: boolean;
    callback?: (item: Action) => void;
}
