declare type ScrollElement = Element | Window;
export declare const getScrollTop: (el: ScrollElement) => number;
export declare const setScrollTop: (el: ScrollElement, value: number) => void;
export declare const getRootScrollTop: () => number;
export declare const setRootScrollTop: (value: number) => void;
export declare const getElementTop: (el: ScrollElement, scroller?: HTMLElement | undefined) => number;
export declare const getVisibleHeight: (el: ScrollElement) => number;
export declare const getVisibleTop: (el: ScrollElement) => number;
export declare const resetScroll: () => void;
export {};
